# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
%define oldname python-dslib
Name:          python-module-dslib
Version:       3.0
Release:       alt1_2
Summary:       A Python library for accessing Czech Databox (DatovA. schrA.nky)
Group:         Development/Python
License:       LGPLv2+
URL:           http://labs.nic.cz/datove-schranky/
Source0:       http://www.nic.cz/public_media/datove_schranky/releases/src/dslib-%{version}.tar.gz
BuildArch:     noarch
BuildRequires: python-module-setuptools
Source44: import.info

%description
dslib is a Python library for accessing a 'Databox' - an electronic
communication interface endorsed by the Czech government.

%prep
%setup -q -n dslib-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

# Remove wrongly installed documents, they will be correctly installed later
rm -f %{buildroot}%{_datadir}/dslib/{README,LICENSE.txt}

%files
%doc LICENSE.txt README.txt
%{python_sitelibdir_noarch}/*
%{_datadir}/dslib

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_2
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 3.0-alt1_1
- update to new release by fcimport

* Tue Dec 18 2012 Igor Vlasenko <viy@altlinux.ru> 2.1.2-alt1_2
- initial fc import

